public class Star {

   double mass,pot,ebind;
   Triple pos = new Triple();
   Triple vel = new Triple();
   Triple acc = new Triple();

   Star(double mass, double x, double y, double z, double vx, double vy, double vz) {
      this.mass=mass;
      pos.x=x;
      pos.y=y;
      pos.z=z;
      vel.x=vx;
      vel.y=vy;
      vel.z=vz;
   }

   Star() {
      mass=1.;
      pos.x=0.;
      pos.y=0.;
      pos.z=0.;
      vel.x=0.;
      vel.y=0.;
      vel.z=0.;
   }

      
   Star(double mass, Triple pos, Triple vel) {
      this.mass=mass;
      this.pos=pos;
      this.vel=vel;
   }

   public void MoveStar(double dtime) {

      Triple newpos = new Triple();
      Triple newvel = new Triple();

      newpos.x = pos.x + vel.x * dtime + 0.5f * acc.x * dtime*dtime;
      newpos.y = pos.y + vel.y * dtime + 0.5f * acc.y * dtime*dtime;
      newpos.z = pos.z + vel.z * dtime + 0.5f * acc.z * dtime*dtime;

      newvel.x = vel.x + acc.x * dtime;
      newvel.y = vel.y + acc.y * dtime;
      newvel.z = vel.z + acc.z * dtime;

      pos = newpos;
      vel = newvel;

   }

   public void PrintStar() {

      System.out.println("Mass: " + mass);
      System.out.println("Pos : " + pos.x + "," + pos.y + "," + pos.z); 
      System.out.println("Vel : " + vel.x + "," + vel.y + "," + vel.z); 
      System.out.println("Acc : " + acc.x + "," + acc.y + "," + acc.z); 

   }

}
